/* 
** Delay routines using TMR1
**
*/
//#include "p24fj64ga002.h"
/* MPLAB includes. */
#include <p32xxxx.h>
#include <plib.h>

void DelayMs( unsigned t)
{
    T1CON = 0x8000;     // enable tmr1, Tcy, 1:1
    while (t--)
    {
        TMR1 = 0;
        while (TMR1<16000);
      
    }
} // Delayms

/**** software delays different sw delays for PIC24FJ64GA004 set for FRCPLL with no clock div
********************************************************************************************/
#define iend 500
#define jend 1000

	void delay(void) { //100s msec
		int i,j;
		for (i=0; i<iend; i++)
			for (j=0;j<jend; j++); 
	}
	
	
	void delay_100us(void) {
		int j;
			for (j=0;j<320; j++); 
	}

	void delay_5us(void) { //modified for PIC32 @80mhz
		int j;
			for (j=0;j<46; j++); 
	}
	
	void delay_1us(void) {
		int j;
			for (j=0;j<1; j++); 
	}
	void delay_30us(void) {
		int j;
			for (j=0;j<96; j++); 
	}
	void delay_5msec(void) {
		int j;
			for (j=0;j<16000; j++); 
	}
	void delay_40msec() {
		int j;
			for (j=0;j<8; j++) 
			delay_5msec();
			}

void big_delay(void) { //2seconds
	
	int i;
	for (i =0; i<200;i++) 
	Delayms(50);
}
