/* 
** PS2T4 Test
** 
** LDJ 6/9/06  v1.0
** LDJ 9/17/07 v2.0 PIC32 testing
* thk 5/5/2011 modification for EXP32
*thk 5/30/2011 test keyboard demo and works with Mini-kit.
Now we will op the clock frequency this is keyboard demo verion 1
version 2 added graphics, font, delay
*thk added UART3 -demo3 found baud rate setting twice
*thk 6/4/2011 macro call reset perpherial clock--removing macros
*thk add PUTSU3 CLR and HOME in UART have both UART and DISPLAy clear on F1
*
*/
// configuration bit settings, Fcy=72MHz, Fpb=36MHz older settings
//#pragma config POSCMOD=XT, FNOSC=PRIPLL 
//#pragma config FPLLIDIV=DIV_2, FPLLMUL=MUL_18, FPLLODIV=DIV_1
//#pragma config FPBDIV=DIV_2, FWDTEN=OFF, CP=OFF, BWP=OFF

// Configuration Bit settings
// SYSCLK = 80 MHz (8MHz Crystal/ FPLLIDIV * FPLLMUL / FPLLODIV)
// PBCLK = 40 MHz
// Primary Osc w/PLL (XT+,HS+,EC+PLL)
// WDT OFF
// Other options are don't care
#pragma config FNOSC = PRIPLL, POSCMOD = HS, FPLLIDIV = DIV_2, FPLLMUL = MUL_20, FPBDIV = DIV_2, FPLLODIV = DIV_1
#pragma config FWDTEN = OFF
#define	SYS_FREQ	80000000		// frequency we're running at

//#include <p32xxxx.h>
#include <plib.h>
#include "explore.h"
#include "PS2KBD.h"
#include "graphics.h"
#include "Delay.h"
#include "UART3.h"



main()
{
	//	SYSTEMConfig(SYS_FREQ, SYS_CFG_WAIT_STATES | SYS_CFG_PCACHE);
	//	SYSTEMConfigPB(	FPB );
AD1PCFG = 0xFFFFFFFF;
	DDPCON=0x00;
    char ASCIIkey;
    int Key;
    initEXP32();             // init and configure interrupts
    initKBD();              // initialization routine
     LCDInit();
  //  initU3();
    
   LCDWriteLine(1," Welcome to");
   LCDWriteLine(2," the ExP 32");
   LCDWriteLine(3,"  Terminal");
   LCDWriteLine(4,"  Emulator");
 //  home();
//	clrscr();
 //  puts("Welcome to EXP 32 Terminal Emulator");
    big_delay();

   LCDWriteLine(5,"Enter keys");
    LCDWriteLine(6,"Using PS/2");
   LCDWriteLine(7,"once screen");
   LCDWriteLine(8,"is blank");
  // puts("Enter key with PS/2 once screen goes blank");
     big_delay();
    clearScreen();
  //  home();
//	clrscr();
    AT(0,0)
    while ( 1)
    {
        if ( KBDReady)      // wait for the flag 
        {
            Key = KBDCode;  // fetch the key code 
        
     ASCIIkey= (char) getcKBD();
     if (ASCIIkey == F10 ) { //if key =F1 clear terminal +LCD screens
	     
	 //    home();
	//     clrscr();
	      clearScreen();
   		 AT(0,0) 
	     
	    } 
	    else {
   //   	putU3((char)ASCIIkey);
          KBDReady = 0;   // clear the flag 
          putcV(ASCIIkey);
          dumpVmap();
          //putU3((char)ASCIIkey);
        }
        }
    } // main loop
} //main
